﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using wms.dto.request.fj;
using wms.dto.request.share;
using wms.dto.response;
using wms.dto.response.fj;
using wms.sqlsugar.model;
using wms.sqlsugar.model.fj;

namespace wms.service.IService
{
    /// <summary>
    ///  分拣服务接口
    /// </summary>
    public interface IFJService
    {
        public string GetSysConfigContentByCode(string code);

        public bool SyncMaterInfo(List<FJSyncMaterInfoResponseItem> ResData);

        public bool SyncMachineInfo(List<SyncMachineInfoResponseItem> ResData);

        public fjSysConfig GetSysConfigByCode(string code);

        public fjSysConfig GetSysConfigByExpression(Expression<Func<fjSysConfig, bool>> WhereExpression);

        public fjBaseMater GetBaseMaterByExpression(Expression<Func<fjBaseMater, bool>> WhereExpression);

        /// <summary>
        /// 获取反馈信息列表
        /// </summary>
        /// <param name="WhereExpression"></param>
        /// <returns></returns>
        public List<fjBillFeedbackPush> GetBillFeedbackList(Expression<Func<fjBillFeedbackPush, bool>> WhereExpression);

        public bool UpdateSysConfigModelColumns(UpdateModelColumns<fjSysConfig> updateModel);

        public bool UpdateBillFeedbackPushModelColumns(UpdateModelColumns<fjBillFeedbackPush> updateModel);

        public SRes<bool> DeleteDoc(Expression<Func<fjBillDocument, bool>> whereExpression);

        public SRes CurtainProductionOrder(CurtainProductionOrderRequest reqDto);

        public SRes SpoolMaterialInfoTrans(SpoolMaterialInfoTransRequest reqDto);

        public SRes CurtainProductionStockOut(CurtainProductionStockOutRequest reqDto);

        public bool AllocationWarehouseSort(AllocationWarehouseSortRequest reqDto);

        public SRes ProductionBack(FjProductionBackRequest reqDto);

        public SRes ProductionLeftFeedBack(string doccode);

        public SRes ErrorMaterialStockOut(FjErrorMaterialStockOutRequest reqDto);

        public SRes BGradeMaterialStockOut(BGradeMaterialStockOutRequest reqDto);

        public SRes StockChange(FjStockChangeRequest reqDto);

        public SRes BomInfoTrans(BomInfoTransRequest reqDto);

        public SRes CurtainOrderStartCheck(CurtainOrderStartCheckRequest reqDto);

        /// <summary>
        ///  分拣北自动生成库位
        /// </summary>
        /// <returns></returns>
        public SRes FJ1NorthAutoGenerateLocation();

        /// <summary>
        ///  分拣南自动生成库位
        /// </summary>
        /// <returns></returns>
        public SRes FJSouthAutoGenerateLocation();

        /// <summary>
        ///  一楼空托盘人工入库任务创建
        /// </summary>
        /// <param name="reqDto"></param>
        /// <returns></returns>
        public SRes OneFloorWorkerBuildEmptyPalletsStock(FJBuildEmptyPalletsStockRequest reqDto);

        /// <summary>
        ///  申请货位
        /// </summary>
        /// <param name="reqDto"></param>
        /// <returns></returns>
        public SRes<FJApplyStockInLocResponse> ApplyStockInLoc(FJApplyStockInLocRequest reqDto);

        /// <summary>
        ///  手动出库
        /// </summary>
        /// <param name="reqDto"></param>
        /// <returns></returns>
        public string ManualTask(FJManualTaskRequest reqDto);

        /// <summary>
        ///  完成任务
        /// </summary>
        /// <param name="reqDto"></param>
        /// <returns></returns>
        public SRes<int> CompleteTask(CompleteTaskRequest reqDto);
    }
}
